Skip to main content
POST
/
api2
/
v3
/
projects
/
{projectUid}
/
jobs
/
{jobUid}
/
transMemories
/
search
Search job's translation memories
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v3/projects/{projectUid}/jobs/{jobUid}/transMemories/search \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "<string>",
  "maxResults": 15,
  "reverse": false,
  "scoreThreshold": 0
}
'
{
  "searchResults": [
    {
      "grossScore": 123,
      "score": 123,
      "segmentId": "<string>",
      "source": {
        "client": {
          "id": 123,
          "name": "<string>"
        },
        "createdAt": 123,
        "createdBy": {
          "email": "<string>",
          "firstName": "<string>",
          "id": "<string>",
          "lastName": "<string>",
          "uid": "<string>",
          "userName": "<string>"
        },
        "domain": {
          "id": 123,
          "name": "<string>"
        },
        "filename": "<string>",
        "id": "<string>",
        "key": "<string>",
        "lang": "<string>",
        "modifiedAt": 123,
        "modifiedBy": {
          "email": "<string>",
          "firstName": "<string>",
          "id": "<string>",
          "lastName": "<string>",
          "uid": "<string>",
          "userName": "<string>"
        },
        "nextSegment": "<string>",
        "previousSegment": "<string>",
        "project": {
          "id": 123,
          "name": "<string>",
          "uid": "<string>"
        },
        "rtl": true,
        "subDomain": {
          "id": 123,
          "name": "<string>"
        },
        "tagMetadata": [
          {
            "content": "<string>",
            "id": "<string>",
            "transAttributes": "<string>",
            "type": "<string>"
          }
        ],
        "targetNote": "<string>",
        "text": "<string>"
      },
      "subSegment": true,
      "transMemory": {
        "id": "<string>",
        "name": "<string>",
        "reverse": true,
        "uid": "<string>"
      },
      "translations": [
        {
          "client": {
            "id": 123,
            "name": "<string>"
          },
          "createdAt": 123,
          "createdBy": {
            "email": "<string>",
            "firstName": "<string>",
            "id": "<string>",
            "lastName": "<string>",
            "uid": "<string>",
            "userName": "<string>"
          },
          "domain": {
            "id": 123,
            "name": "<string>"
          },
          "filename": "<string>",
          "id": "<string>",
          "key": "<string>",
          "lang": "<string>",
          "modifiedAt": 123,
          "modifiedBy": {
            "email": "<string>",
            "firstName": "<string>",
            "id": "<string>",
            "lastName": "<string>",
            "uid": "<string>",
            "userName": "<string>"
          },
          "nextSegment": "<string>",
          "previousSegment": "<string>",
          "project": {
            "id": 123,
            "name": "<string>",
            "uid": "<string>"
          },
          "rtl": true,
          "subDomain": {
            "id": 123,
            "name": "<string>"
          },
          "tagMetadata": [
            {
              "content": "<string>",
              "id": "<string>",
              "transAttributes": "<string>",
              "type": "<string>"
            }
          ],
          "targetNote": "<string>",
          "text": "<string>"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

Project UID

jobUid
string
required

Job UID

Body

application/json

Search request

query
string
required

Search query

maxResults
integer<int32>

Maximum number of results to return

Required range: 1 <= x <= 100
Example:

15

reverse
boolean

When true, reverses the source/target language direction for the search

Example:

false

scoreThreshold
number<double>

Minimum match score threshold

Required range: 0 < x < 1.01
Example:

0

Response

OK

searchResults
object[]

List of translation memory search results